This service will be undergoing maintenance at 20:00 UTC, 2017-04-03. It is expected to last about 30 minutes
Bug 126386 - dual athlon kernel panic
dual athlon kernel panic
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
3
i386 Linux
medium Severity high
: ---
: ---
Assigned To: Dave Jones
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2004-06-20 21:34 EDT by Eric D. Hendrickson
Modified: 2015-01-04 17:07 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-07-15 22:16:07 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eric D. Hendrickson 2004-06-20 21:34:59 EDT
Description of problem:
install went smoothly but after a day or two of operation, system 
locks up requiring hard reset.  latest updated kernel (2.6.6-
1.435smp) still locks up but not completely.  Hitting return gets a 
new prompt but any command (or fork()?) just hangs.  This slightly 
responsive system does however allow for syslog to capture the kernel 
panic log output, so hopefully that at least is helpful.

Version-Release number of selected component (if applicable):
fedora core 2 2.6.6-1.435smp

How reproducible:
a day or two of idle system operation

Steps to Reproduce:
1. boot system
2. let run (idle or not) for a day or two
3. observe locked up system
  
Actual results:
system locks up, kernel panic

Expected results:
should run without such failures

Additional info:
Syslog output and /proc/cpuinfo output:

processor       : 0
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) MP 2600+
stepping        : 0
cpu MHz         : 2000.769
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge 
mca cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow
bogomips        : 3940.35

processor       : 1
vendor_id       : AuthenticAMD
cpu family      : 6
model           : 10
model name      : AMD Athlon(tm) MP
stepping        : 0
cpu MHz         : 2000.769
cache size      : 512 KB
fdiv_bug        : no
hlt_bug         : no
f00f_bug        : no
coma_bug        : no
fpu             : yes
fpu_exception   : yes
cpuid level     : 1
wp              : yes
flags           : fpu vme de pse tsc msr pae mce cx8 apic mtrr pge 
mca cmov pat pse36 mmx fxsr sse syscall mp mmxext 3dnowext 3dnow
bogomips        : 3989.50


Jun 20 04:24:30 nevinyrral kernel: Unable to handle kernel NULL 
pointer dereference at virtual address 00000000
Jun 20 04:24:30 nevinyrral kernel:  printing eip:
Jun 20 04:24:30 nevinyrral kernel: 021492c8
Jun 20 04:24:30 nevinyrral kernel: *pde = 00003001
Jun 20 04:24:30 nevinyrral kernel: Oops: 0002 [#1]
Jun 20 04:24:30 nevinyrral kernel: SMP
Jun 20 04:24:30 nevinyrral kernel: Modules linked in: nfsd exportfs
lockd ipv6 parport_pc lp parport autofs4 sunrpc 3c59x e100 mii floppy
sg scsi_mod dm_mod ohci_hcd ext3 jbd raid1 raid0
Jun 20 04:24:30 nevinyrral kernel: CPU:    1
Jun 20 04:24:30 nevinyrral kernel: EIP:    0060:[<021492c8>]    Not
tainted
Jun 20 04:24:30 nevinyrral kernel: EFLAGS: 00010246   (2.6.6-1.435smp)
Jun 20 04:24:30 nevinyrral kernel: EIP is at anon_vma_unlink+0x1d/0x54
Jun 20 04:24:30 nevinyrral kernel: eax: 00000000   ebx: 2f5f117c
ecx: 2f5f11b8   edx: 00000000
Jun 20 04:24:30 nevinyrral kernel: esi: 294c9a00   edi: 2f5f117c
ebp: 31851810   esp: 3ffadc8c
Jun 20 04:24:30 nevinyrral kernel: ds: 007b   es: 007b   ss: 0068
Jun 20 04:24:30 nevinyrral kernel: Process makewhatis (pid: 22832,
threadinfo=3ffad000 task=31851810)
Jun 20 04:24:30 nevinyrral kernel: Stack: 39e86bd8 18c0ab00 02146320
2ac47334 067917c0 2f5f117c 02147c4c 03814100
Jun 20 04:24:30 nevinyrral kernel:        0000018d 067917c0 067917c0
3fa335a0 0211ef75 3ffad000 0215a6c2 067917c0
Jun 20 04:24:30 nevinyrral kernel:        00000000 3ffad000 29287860
3b387fa4 0215acb2 3ffade60 3ffad000 3ffade60
Jun 20 04:24:30 nevinyrral kernel: Call Trace:
Jun 20 04:24:30 nevinyrral kernel:  [<02146320>]
remove_vm_struct+0x4e/0x5d
Jun 20 04:24:30 nevinyrral kernel:  [<02147c4c>] exit_mmap+0x17d/0x189
Jun 20 04:24:30 nevinyrral kernel:  [<0211ef75>] mmput+0x4c/0x61
Jun 20 04:24:30 nevinyrral kernel:  [<0215a6c2>] exec_mmap+0x123/0x13f
Jun 20 04:24:30 nevinyrral kernel:  [<0215acb2>]
flush_old_exec+0x5d4/0x773
Jun 20 04:24:30 nevinyrral kernel:  [<0215a595>] kernel_read+0x31/0x3b
Jun 20 04:24:30 nevinyrral kernel:  [<021731d0>]
load_elf_binary+0x498/0xb07
Jun 20 04:24:30 nevinyrral kernel:  [<02105e9c>]
arch_align_stack+0x40/0x52
Jun 20 04:24:30 nevinyrral kernel:  [<0215b0ac>]
search_binary_handler+0xa6/0x20f
Jun 20 04:24:30 nevinyrral kernel:  [<0215b3a6>] do_execve+0x191/0x223
Jun 20 04:24:30 nevinyrral kernel:  [<02105aab>] sys_execve+0x2a/0x70
Jun 20 04:24:30 nevinyrral kernel:
Jun 20 04:24:30 nevinyrral kernel: Code: 89 02 89 50 04 8d 46 04 31 d2
c7 43 3c 00 01 10 00 39 46 04
Comment 1 Eric D. Hendrickson 2004-06-21 14:16:26 EDT
I forgot to note, this is a Gigabyte GA-7DPXDW-P motherboard.  AMD-760
MPX chipset, with Promise PDC20276 RAID controller.  I have the RAID
controller set to just plain IDE and am using Linux s/w RAID instead.

1GB registered PC2100.
Comment 2 Eric D. Hendrickson 2004-07-08 01:47:42 EDT
Someone suggested that they had a similar problem with this 
motherboard until they stopped using the PS2 ports, so I switched the 
keyboard/mouse to USB.  But it has happened again, though the system 
was able to recover from the error.

Jul  7 20:13:38 nevinyrral kernel: ------------[ cut here ]-----------
-
Jul  7 20:13:38 nevinyrral kernel: kernel BUG at mm/rmap.c:406!
Jul  7 20:13:38 nevinyrral kernel: invalid operand: 0000 [#1]
Jul  7 20:13:38 nevinyrral kernel: SMP
Jul  7 20:13:38 nevinyrral kernel: Modules linked in: nfsd exportfs 
lockd ipv6 parport_pc lp parport autofs4 sunrpc 3c59x e100 mii floppy 
sg scsi_mod joydev dm_mod ohci_hcd ext3 jbd raid1 raid0
Jul  7 20:13:38 nevinyrral kernel: CPU:    1
Jul  7 20:13:38 nevinyrral kernel: EIP:    0060:[<0214970a>]    Not 
tainted
Jul  7 20:13:38 nevinyrral kernel: EFLAGS: 00010246   (2.6.6-
1.435.2.3smp)
Jul  7 20:13:38 nevinyrral kernel: EIP is at 
page_remove_rmap+0x18/0xa8
Jul  7 20:13:38 nevinyrral kernel: eax: 20000014   ebx: 034dbe00   
ecx: 03814100   edx: 00000000
Jul  7 20:13:38 nevinyrral kernel: esi: 034dbe00   edi: 3003a218   
ebp: 00000000   esp: 4133cbf0
Jul  7 20:13:38 nevinyrral kernel: ds: 007b   es: 007b   ss: 0068
Jul  7 20:13:38 nevinyrral kernel: Process sendmail (pid: 25269, 
threadinfo=4133c000 task=314d1970)
Jul  7 20:13:38 nevinyrral kernel: Stack: 00026df0 02143b66 26df0067 
00000000 00034000 fee0f000 03814100 00000080
Jul  7 20:13:38 nevinyrral kernel:        00000000 fee0f000 fee6e000 
23089fc0 03814100 02143c6d 0005f000 00000000
Jul  7 20:13:38 nevinyrral kernel:        fee0f000 39e2a9e0 fee6e000 
03814100 02143cc4 0005f000 00000000 4133cca8
Jul  7 20:13:38 nevinyrral kernel: Call Trace:
Jul  7 20:13:38 nevinyrral kernel:  [<02143b66>] 
zap_pte_range+0x21e/0x2d5
Jul  7 20:13:38 nevinyrral kernel:  [<02143c6d>] 
zap_pmd_range+0x50/0x6b
Jul  7 20:13:38 nevinyrral kernel:  [<02143cc4>] 
unmap_page_range+0x3c/0x57
Jul  7 20:13:38 nevinyrral kernel:  [<02143dcf>] unmap_vmas+0xf0/0x257
Jul  7 20:13:38 nevinyrral kernel:  [<02164ca9>] dput+0x18/0x16c
Jul  7 20:13:38 nevinyrral kernel:  [<02147b99>] exit_mmap+0xca/0x189
Jul  7 20:13:38 nevinyrral kernel:  [<0211ef75>] mmput+0x4c/0x61
Jul  7 20:13:38 nevinyrral kernel:  [<0215a6c2>] exec_mmap+0x123/0x13f
Jul  7 20:13:38 nevinyrral kernel:  [<0215acb2>] 
flush_old_exec+0x5d4/0x773
Jul  7 20:13:38 nevinyrral kernel:  [<0215a595>] kernel_read+0x31/0x3b
Jul  7 20:13:38 nevinyrral kernel:  [<021731e4>] 
load_elf_binary+0x498/0xb07
Jul  7 20:13:38 nevinyrral kernel:  [<02105e9c>] 
arch_align_stack+0x40/0x52
Jul  7 20:13:38 nevinyrral kernel:  [<0215b0ac>] 
search_binary_handler+0xa6/0x20f
Jul  7 20:13:38 nevinyrral kernel:  [<0215b3a6>] do_execve+0x191/0x223
Jul  7 20:13:38 nevinyrral kernel:  [<02105aab>] sys_execve+0x2a/0x70
Jul  7 20:13:38 nevinyrral kernel:
Jul  7 20:13:38 nevinyrral kernel: Code: 0f 0b 96 01 d3 eb 2b 02 f0 
0f ba 2b 0f 19 c0 85 c0 74 19 eb
Jul  7 20:13:38 nevinyrral kernel:  <6>note: sendmail[25269] exited 
with preempt_count 1
Jul  7 20:13:38 nevinyrral kernel: Debug: sleeping function called 
from invalid context at include/linux/rwsem.h:43
Jul  7 20:13:38 nevinyrral kernel: in_atomic():1, irqs_disabled():0
Jul  7 20:13:38 nevinyrral kernel:  [<0211e8e7>] 
__might_sleep+0x80/0x8a
Jul  7 20:13:38 nevinyrral kernel:  [<02121588>] 
profile_exit_task+0x18/0x43
Jul  7 20:13:38 nevinyrral kernel:  [<0212299f>] do_exit+0x87/0x390
Jul  7 20:13:38 nevinyrral kernel:  [<02107727>] 
do_divide_error+0x0/0xaa
Jul  7 20:13:38 nevinyrral kernel:  [<02107912>] 
do_invalid_op+0x0/0x95
Jul  7 20:13:38 nevinyrral kernel:  [<021079a1>] 
do_invalid_op+0x8f/0x95
Jul  7 20:13:38 nevinyrral kernel:  [<0214970a>] 
page_remove_rmap+0x18/0xa8
Jul  7 20:13:38 nevinyrral kernel:  [<02167739>] 
update_atime+0x76/0x9e
Jul  7 20:13:38 nevinyrral kernel:  [<0213b344>] 
__pagevec_free+0x15/0x1b
Jul  7 20:13:38 nevinyrral kernel:  [<0214029e>] 
release_pages+0x138/0x140
Jul  7 20:13:38 nevinyrral kernel:  [<0214970a>] 
page_remove_rmap+0x18/0xa8
Jul  7 20:13:38 nevinyrral kernel:  [<02143b66>] 
zap_pte_range+0x21e/0x2d5
Jul  7 20:13:38 nevinyrral kernel:  [<02143c6d>] 
zap_pmd_range+0x50/0x6b
Jul  7 20:13:38 nevinyrral kernel:  [<02143cc4>] 
unmap_page_range+0x3c/0x57
Jul  7 20:13:38 nevinyrral kernel:  [<02143dcf>] unmap_vmas+0xf0/0x257
Jul  7 20:13:38 nevinyrral kernel:  [<02164ca9>] dput+0x18/0x16c
Jul  7 20:13:38 nevinyrral kernel:  [<02147b99>] exit_mmap+0xca/0x189
Jul  7 20:13:38 nevinyrral kernel:  [<0211ef75>] mmput+0x4c/0x61
Jul  7 20:13:38 nevinyrral kernel:  [<0215a6c2>] exec_mmap+0x123/0x13f
Jul  7 20:13:38 nevinyrral kernel:  [<0215acb2>] 
flush_old_exec+0x5d4/0x773
Jul  7 20:13:38 nevinyrral kernel:  [<0215a595>] kernel_read+0x31/0x3b
Jul  7 20:13:38 nevinyrral kernel:  [<021731e4>] 
load_elf_binary+0x498/0xb07
Jul  7 20:13:38 nevinyrral kernel:  [<02105e9c>] 
arch_align_stack+0x40/0x52
Jul  7 20:13:38 nevinyrral kernel:  [<0215b0ac>] 
search_binary_handler+0xa6/0x20f
Jul  7 20:13:38 nevinyrral kernel:  [<0215b3a6>] do_execve+0x191/0x223
Jul  7 20:13:38 nevinyrral kernel:  [<02105aab>] sys_execve+0x2a/0x70
Comment 3 Eric D. Hendrickson 2004-08-16 01:13:10 EDT
Happened again.  Now running kernel 2.6.7-1.494.2.2smp.  This is a 
very low usage system.  In the past when this happened the system 
either locked up or wasn't locked up but new processes would be.  But 
this time at least, it survived fully functional.  Kernel output, fyi:

Aug 15 03:17:40 nevinyrral kernel: ------------[ cut here ]-----------
-
Aug 15 03:17:40 nevinyrral kernel: kernel BUG at mm/rmap.c:407!
Aug 15 03:17:40 nevinyrral kernel: invalid operand: 0000 [#1]
Aug 15 03:17:40 nevinyrral kernel: SMP
Aug 15 03:17:40 nevinyrral kernel: Modules linked in: nfs nfsd 
exportfs lockd autofs4 sunrpc 3c59x e100 mii floppy sg scsi_mod 
dm_mod joydev ohci_hcd ext3 jbd raid1 raid0
Aug 15 03:17:40 nevinyrral kernel: CPU:    1
Aug 15 03:17:40 nevinyrral kernel: EIP:    0060:[<021515eb>]    Not 
tainted
Aug 15 03:17:40 nevinyrral kernel: EFLAGS: 00010246   (2.6.7-
1.494.2.2smp)
Aug 15 03:17:40 nevinyrral kernel: EIP is at 
page_remove_rmap+0x18/0xa8
Aug 15 03:17:40 nevinyrral kernel: eax: 20000014   ebx: 034d3160   
ecx: 03815100   edx: 034d3160
Aug 15 03:17:40 nevinyrral kernel: esi: 034d3160   edi: 310dbf20   
ebp: 00000000   esp: 0febeba4
Aug 15 03:17:40 nevinyrral kernel: ds: 007b   es: 007b   ss: 0068
Aug 15 03:17:40 nevinyrral kernel: Process dovecot (pid: 10920, 
threadinfo=0febe000 task=275267c0)
Aug 15 03:17:40 nevinyrral kernel: Stack: 0002698b 0214af27 2698b067 
00000000 00000000 09de4000 03815100 00000010
Aug 15 03:17:40 nevinyrral kernel:        00000010 09de4000 09e0d000 
1e694278 03815100 0214b02e 0001c000 00000000
Aug 15 03:17:40 nevinyrral kernel:        09de4000 4059b1a8 09e0d000 
03815100 0214b085 00029000 00000000 0febec5c
Aug 15 03:17:40 nevinyrral kernel: Call Trace:
Aug 15 03:17:40 nevinyrral kernel:  [<0214af27>] 
zap_pte_range+0x209/0x2c0
Aug 15 03:17:40 nevinyrral kernel:  [<0214b02e>] 
zap_pmd_range+0x50/0x6b
Aug 15 03:17:40 nevinyrral kernel:  [<0214b085>] 
unmap_page_range+0x3c/0x57
Aug 15 03:17:40 nevinyrral kernel:  [<0214b190>] unmap_vmas+0xf0/0x208
Aug 15 03:17:40 nevinyrral kernel:  [<0214f68c>] exit_mmap+0xa1/0x185
Aug 15 03:17:40 nevinyrral kernel:  [<0211fc14>] mmput+0x73/0x88
Aug 15 03:17:40 nevinyrral kernel:  [<021657d0>] exec_mmap+0x1bf/0x1dd
Aug 15 03:17:40 nevinyrral kernel:  [<02165ff5>] 
flush_old_exec+0x807/0xa2b
Aug 15 03:17:40 nevinyrral kernel:  [<02165607>] kernel_read+0x31/0x3b
Aug 15 03:17:40 nevinyrral kernel:  [<021848a6>] 
load_elf_binary+0x4ba/0xb2f
Aug 15 03:17:40 nevinyrral kernel:  [<021664d2>] 
search_binary_handler+0xb0/0x22c
Aug 15 03:17:40 nevinyrral kernel:  [<021667f5>] do_execve+0x1a7/0x239
Aug 15 03:17:40 nevinyrral kernel:  [<02104aad>] sys_execve+0x2a/0x70
Aug 15 03:17:40 nevinyrral kernel: Code: 0f 0b 97 01 51 ef 2e 02 f0 
0f ba 2b 0f 19 c0 85 c0 74 19 eb
Aug 15 03:17:40 nevinyrral kernel:  <6>note: dovecot[10920] exited 
with preempt_count 1
Aug 15 03:17:40 nevinyrral kernel: Debug: sleeping function called 
from invalid context at include/linux/rwsem.h:43
Aug 15 03:17:40 nevinyrral kernel: in_atomic():1[expected: 0], 
irqs_disabled():0
Aug 15 03:17:40 nevinyrral kernel:  [<0211f3c1>] 
__might_sleep+0x82/0x8c
Aug 15 03:17:40 nevinyrral kernel:  [<02122ba2>] 
profile_exit_task+0x1a/0x4a
Aug 15 03:17:40 nevinyrral kernel:  [<02124484>] do_exit+0x8a/0x4e0
Aug 15 03:17:40 nevinyrral kernel:  [<021069c2>] 
do_divide_error+0x0/0xaa
Aug 15 03:17:40 nevinyrral kernel:  [<02106bad>] 
do_invalid_op+0x0/0x95
Aug 15 03:17:40 nevinyrral kernel:  [<02106c3c>] 
do_invalid_op+0x8f/0x95
Aug 15 03:17:40 nevinyrral kernel:  [<021515eb>] 
page_remove_rmap+0x18/0xa8
Aug 15 03:17:40 nevinyrral kernel:  [<42850daf>] 
journal_stop+0x2ec/0x2f8 [jbd]
Aug 15 03:17:40 nevinyrral kernel:  [<42882b98>] 
ext3_mark_iloc_dirty+0x10/0x18 [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<42886222>] 
__ext3_journal_stop+0x19/0x34 [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<42882cbd>] 
ext3_dirty_inode+0x5b/0x5f [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<0217bbf0>] 
__mark_inode_dirty+0x28/0x1b9
Aug 15 03:17:40 nevinyrral kernel:  [<021515eb>] 
page_remove_rmap+0x18/0xa8
Aug 15 03:17:40 nevinyrral kernel:  [<0214af27>] 
zap_pte_range+0x209/0x2c0
Aug 15 03:17:40 nevinyrral kernel:  [<0214b02e>] 
zap_pmd_range+0x50/0x6b
Aug 15 03:17:40 nevinyrral kernel:  [<0214b085>] 
unmap_page_range+0x3c/0x57
Aug 15 03:17:40 nevinyrral kernel:  [<0214b190>] unmap_vmas+0xf0/0x208
Aug 15 03:17:40 nevinyrral kernel:  [<0214f68c>] exit_mmap+0xa1/0x185
Aug 15 03:17:40 nevinyrral kernel:  [<0211fc14>] mmput+0x73/0x88
Aug 15 03:17:40 nevinyrral kernel:  [<021657d0>] exec_mmap+0x1bf/0x1dd
Aug 15 03:17:40 nevinyrral kernel:  [<02165ff5>] 
flush_old_exec+0x807/0xa2b
Aug 15 03:17:40 nevinyrral kernel:  [<02165607>] kernel_read+0x31/0x3b
Aug 15 03:17:40 nevinyrral kernel:  [<021848a6>] 
load_elf_binary+0x4ba/0xb2f
Aug 15 03:17:40 nevinyrral kernel:  [<021664d2>] 
search_binary_handler+0xb0/0x22c
Aug 15 03:17:40 nevinyrral kernel:  [<021667f5>] do_execve+0x1a7/0x239
Aug 15 03:17:40 nevinyrral kernel:  [<02104aad>] sys_execve+0x2a/0x70
Aug 15 03:17:40 nevinyrral kernel: bad: scheduling while atomic!
Aug 15 03:17:40 nevinyrral kernel:  [<022d56b5>] schedule+0x2d/0x6e9
Aug 15 03:17:40 nevinyrral kernel:  [<02104aad>] sys_execve+0x2a/0x70
Aug 15 03:17:40 nevinyrral kernel:  [<02132060>] 
__kernel_text_address+0x18/0x23
Aug 15 03:17:40 nevinyrral kernel:  [<02106521>] 
print_context_stack+0x1a/0x4f
Aug 15 03:17:40 nevinyrral kernel:  [<021065af>] show_trace+0x59/0x72
Aug 15 03:17:40 nevinyrral kernel:  [<0210665a>] dump_stack+0x11/0x13
Aug 15 03:17:40 nevinyrral kernel:  [<0211f3c1>] 
__might_sleep+0x82/0x8c
Aug 15 03:17:40 nevinyrral kernel:  [<02122ba7>] 
profile_exit_task+0x1f/0x4a
Aug 15 03:17:40 nevinyrral kernel:  [<02124484>] do_exit+0x8a/0x4e0
Aug 15 03:17:40 nevinyrral kernel:  [<021069c2>] 
do_divide_error+0x0/0xaa
Aug 15 03:17:40 nevinyrral kernel:  [<02106bad>] 
do_invalid_op+0x0/0x95
Aug 15 03:17:40 nevinyrral kernel:  [<02106c3c>] 
do_invalid_op+0x8f/0x95
Aug 15 03:17:40 nevinyrral kernel:  [<021515eb>] 
page_remove_rmap+0x18/0xa8
Aug 15 03:17:40 nevinyrral kernel:  [<42850daf>] 
journal_stop+0x2ec/0x2f8 [jbd]
Aug 15 03:17:40 nevinyrral kernel:  [<42882b98>] 
ext3_mark_iloc_dirty+0x10/0x18 [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<42886222>] 
__ext3_journal_stop+0x19/0x34 [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<42882cbd>] 
ext3_dirty_inode+0x5b/0x5f [ext3]
Aug 15 03:17:40 nevinyrral kernel:  [<0217bbf0>] 
__mark_inode_dirty+0x28/0x1b9
Aug 15 03:17:40 nevinyrral kernel:  [<021515eb>] 
page_remove_rmap+0x18/0xa8
Aug 15 03:17:40 nevinyrral kernel:  [<0214af27>] 
zap_pte_range+0x209/0x2c0
Aug 15 03:17:40 nevinyrral kernel:  [<0214b02e>] 
zap_pmd_range+0x50/0x6b
Aug 15 03:17:40 nevinyrral kernel:  [<0214b085>] 
unmap_page_range+0x3c/0x57
Aug 15 03:17:40 nevinyrral kernel:  [<0214b190>] unmap_vmas+0xf0/0x208
Aug 15 03:17:40 nevinyrral kernel:  [<0214f68c>] exit_mmap+0xa1/0x185
Aug 15 03:17:40 nevinyrral kernel:  [<0211fc14>] mmput+0x73/0x88
Aug 15 03:17:40 nevinyrral kernel:  [<021657d0>] exec_mmap+0x1bf/0x1dd
Aug 15 03:17:40 nevinyrral kernel:  [<02165ff5>] 
flush_old_exec+0x807/0xa2b
Aug 15 03:17:40 nevinyrral kernel:  [<02165607>] kernel_read+0x31/0x3b
Aug 15 03:17:40 nevinyrral kernel:  [<021848a6>] 
load_elf_binary+0x4ba/0xb2f
Aug 15 03:17:40 nevinyrral kernel:  [<021664d2>] 
search_binary_handler+0xb0/0x22c
Aug 15 03:17:40 nevinyrral kernel:  [<021667f5>] do_execve+0x1a7/0x239
Aug 15 03:17:40 nevinyrral kernel:  [<02104aad>] sys_execve+0x2a/0x70
Comment 4 Eric D. Hendrickson 2004-08-26 18:20:10 EDT
Can somebody tell me if this is likely to be a hardware problem?  If 
so, I'll just stop bothering with posting backtraces and such for it.

Just happened again, this time all I got was on the console (cut off 
at the end):

Message from syslogd@nevinyrral at Thu Aug 26 13:01:01 2004 ...
nevinyrral kernel: Bad page state at prep_new_page (in 
process 'perl', page 036d3000)

Message from syslogd@nevinyrral at Thu Aug 26 13:01:01 2004 ...
nevinyrral kernel: flags:0x20000014 mapping:00000000 mapcount:0 
count:0

Message from syslogd@nevinyrral at Thu Aug 26 13:01:01 2004 ...
nevinyrral kernel: Backtrace:
Comment 5 Eric D. Hendrickson 2004-08-30 22:12:13 EDT
I have noapic set on the kernel boot options but, despite this, 
here's another error that crops up sometimes:

APIC error on CPU0: 04(04)

I googled for this and found others with this problem, but the 
recommended solution is to set noapic...  :(
Comment 6 Eric D. Hendrickson 2004-08-30 22:32:34 EDT
And another error:

note: spamd[4683] exited with preempt_count 1
Unable to handle kernel NULL pointer dereference at virtual address 
00000024
Comment 7 Eric D. Hendrickson 2004-09-13 14:03:35 EDT
Another error:

Sep  1 05:24:34 nevinyrral kernel: Attempt to release TCP socket in 
state 1 246cce00
Sep  1 05:24:48 nevinyrral kernel: recvmsg bug: copied A0EDDE87 seq 
A0EE3903

At this point, I've mostly confirmed that these issues are not 
hardware-related, as I've been running the uniprocessor kernel for 
two weeks straight with no issues.
Comment 8 Dave Jones 2005-01-14 00:15:27 EST
how're things with the latest updates ?
Comment 9 Eric D. Hendrickson 2005-02-02 20:36:32 EST
Thanks for asking.  I did a fresh install with FC3 recently (unrelated
to this) but I'm still having this issue.  I recently updated to the
latest kernel (2.6.10-1.741_FC3) and tried to boot the SMP version,
but right away in the boot process got the "<something> exited with
preempt_count 1".  I don't remember more than that right now but I
tried it several times just to see if it varied - I think the
<something> varied, but that's it.  Since it was only on the console,
I don't have a cut/paste of it.

Let me know if there is any more info I can provide.  I do have a good
amount of experience customizing and building kernels, if that would
be helpful.

Thanks!
Comment 10 Dave Jones 2005-07-15 15:12:18 EDT
An update has been released for Fedora Core 3 (kernel-2.6.12-1.1372_FC3) which
may contain a fix for your problem.   Please update to this new kernel, and
report whether or not it fixes your problem.

If you have updated to Fedora Core 4 since this bug was opened, and the problem
still occurs with the latest updates for that release, please change the version
field of this bug to 'fc4'.

Thank you.
Comment 11 Eric D. Hendrickson 2005-07-15 20:49:14 EDT
In fact I have recently upgraded to FC4 (using yum).  However, I gave up a few
months ago and replaced this motherboard with a Tyan Tiger MPX (in-place, no
need to reinstall Linux!) and the system has been rock solid ever since, which I
have been very grateful for.  Unfortunately this means I can't test this fix....
 Sorry!
Comment 12 Dave Jones 2005-07-15 22:16:07 EDT
ok, thanks for the update.

Note You need to log in before you can comment on or make changes to this bug.